var tmpl=`
<template>
    
</template>
`

module.exports=
`{
    data() {
        return {
            popupsDataList:[],
            pDataKey:0,
            popupsData:[],
        }
    },
    mounted () {
        console.log('---------------');
        var self=this;
        var f=function(){
            var own=self;
            var t=setTimeout(()=>{
            if(own.$root.currentCompany){
                own.findAllServicesitemA();
                clearTimeout(t);
            }else{
                f();
            }
            },100);
        };
        f();
    },
    methods:{ 
        popupsList (list,key) {
            this.popupsDataList = list.smallList;
            this.pDataKey = key;
        },
        findAllServicesitemA(){
            this.company_id=this.$root.currentCompany.id;
            var params={company_id:this.$root.currentCompany.id};
            var that=this;
            this.$root.postReq("/web/serviceitemCtl/getAllProducts", params).then(function(d) {
            console.log(d,"test-----------------");
            that.popupsData = [];
            if(d.status==0&&d.data){
                d.data.forEach(r=>{
                if(r){
                    that.popupsData.push(r);
                }
                that.popupsDataList = that.popupsData[0].smallList;
                })
                
            }
            })
        },
    },
    vname:"gsb-popUpWindow"
}`
